Subject: Re: [PATCH net-next 0/2][pull request] 1GbE Intel Wired LAN Driver Updates 2022-02-07

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 09 Feb 2022 19:22:53 +0100

On Wed Feb 09 2022, Anthony L. Nguyen wrote:
> On Wed, 2022-02-09 at 09:13 +0100, Kurt Kanzenbach wrote:
>> Hi Tony,
>> 
>> On Tue Feb 08 2022, Jakub Kicinski wrote:
>> > On Mon,  7 Feb 2022 15:32:44 -0800 Tony Nguyen wrote:
>> > > Corinna Vinschen says:
>> > > 
>> > > Fix the kernel warning "Missing unregister, handled but fix
>> > > driver"
>> > > when running, e.g.,
>> > > 
>> > >   $ ethtool -G eth0 rx 1024
>> > > 
>> > > on igc.  Remove memset hack from igb and align igb code to igc.
>> > 
>> > Why -next?
>
> As the original submission was targeting -next, I carried that forward.
> Since the warning said it was handled, I thought it was ok to go there.
>
>> Can we get these patches into net, please? The mentioned igc problem
>> exists on v5.15-LTS too.
>
> I'll follow the igc patch and submit a request to stable when it hits
> Linus' tree.

OK, thanks!

> For igb, as it sounds like things are working, just not
> with the preferred method, so I don't plan on sending that to stable.
> Or is there an issue there that this patch needs to go to stable as
> well?

igb is fine, as it uses the memset() approach.

Thanks,
Kurt